package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.ObeCourseOutlineParams;
import com.qmth.distributed.print.business.bean.result.ObeCourseOutlineResult;
import com.qmth.distributed.print.business.entity.ObeCourseOutline;

/**
 * <p>
 * 课程大纲表 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-06-05
 */
public interface ObeCourseOutlineService extends IService<ObeCourseOutline> {

    /**
     * 课程大纲分页查询
     *
     * @param majorId          专业id
     * @param semesterId       学期id
     * @param cultureProgramId 培养方式id
     * @param courseId         课程id
     * @param pageNumber       分页页码
     * @param pageSize         分页容量
     * @return 分页数据
     */
    IPage<ObeCourseOutlineResult> obeCourseOutlinePage(Long majorId, Long semesterId, Long cultureProgramId,
            Long courseId, int pageNumber, int pageSize);

    /**
     * 课程大纲保存
     *
     * @param obeCourseOutlineParams 课程大纲
     */
    void obeCourseOutlineSave(ObeCourseOutlineParams obeCourseOutlineParams);

    /**
     * 课程大纲删除
     *
     * @param id id
     */
    void obeCourseOutlineRemove(Long id);
}
