package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.bean.dto.professional.ProfessionalDto;
import com.qmth.distributed.print.business.entity.BasicProfessional;
import com.qmth.distributed.print.business.mapper.BasicProfessionalMapper;
import com.qmth.distributed.print.business.service.BasicProfessionalService;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.service.BasicRoleDataPermissionService;
import com.qmth.teachcloud.common.util.ServletUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 专业表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
@Service
public class BasicProfessionalServiceImpl extends ServiceImpl<BasicProfessionalMapper, BasicProfessional> implements BasicProfessionalService {

    @Resource
    private BasicRoleDataPermissionService basicRoleDataPermissionService;

    @Override
    public IPage<ProfessionalDto> pageData(Page<ProfessionalDto> page, String name, Long orgId) {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        SysUser requestUser = (SysUser) ServletUtil.getRequestUser();
        DataPermissionRule dpr = basicRoleDataPermissionService.findDataPermission(schoolId, requestUser.getId(), ServletUtil.getRequest().getServletPath());
        return this.baseMapper.pageData(page, schoolId, name, orgId, dpr);
    }

    @Override
    public Boolean saveData(BasicProfessional tpProfessional) {
        SysUser sysUser = (SysUser) ServletUtil.getRequestUser();
        tpProfessional.insertInfo(sysUser.getId());
        tpProfessional.setSchoolId(sysUser.getSchoolId());
        return this.save(tpProfessional);
    }

    @Override
    public boolean remove(Long id) {
        return this.removeById(id);
    }
}
