package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.params.ObeCourseOutlineParams;
import com.qmth.distributed.print.business.bean.result.ObeCourseOutlineResult;
import com.qmth.distributed.print.business.entity.ObeCourseOutline;
import com.qmth.distributed.print.business.mapper.ObeCourseOutlineMapper;
import com.qmth.distributed.print.business.service.ObeCourseOutlineService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.service.BasicRoleDataPermissionService;
import com.qmth.teachcloud.common.util.ServletUtil;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;

import javax.annotation.Resource;

/**
 * <p>
 * 课程大纲表 服务实现类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-06-05
 */
@Service
public class ObeCourseOutlineServiceImpl extends ServiceImpl<ObeCourseOutlineMapper, ObeCourseOutline> implements ObeCourseOutlineService {

    @Resource
    private BasicRoleDataPermissionService basicRoleDataPermissionService;

    @Override
    public IPage<ObeCourseOutlineResult> obeCourseOutlinePage(Long majorId, Long semesterId, Long cultureProgramId, Long courseId, int pageNumber, int pageSize) {

        SysUser requestUser = (SysUser) ServletUtil.getRequestUser();
        DataPermissionRule dpr = basicRoleDataPermissionService.findDataPermission(requestUser.getSchoolId(),
                requestUser.getId(), ServletUtil.getRequest().getServletPath());
        return baseMapper.findObeCourseOutlinePage(new Page<>(pageNumber, pageSize),
                majorId, semesterId, cultureProgramId, courseId, dpr);
    }

    @Override
    public void obeCourseOutlineSave(ObeCourseOutlineParams obeCourseOutlineParams) {

    }

    @Override
    public void obeCourseOutlineRemove(Long id) {

    }
}
