package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.result.obe.cultureProgram.CultureProgramResult;
import com.qmth.distributed.print.business.entity.ObeCultureProgram;
import com.qmth.distributed.print.business.mapper.ObeCultureProgramMapper;
import com.qmth.distributed.print.business.service.ObeCultureProgramService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.service.BasicRoleDataPermissionService;
import com.qmth.teachcloud.common.util.ServletUtil;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * <p>
 * 培养方案 服务实现类
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
@Service
public class ObeCultureProgramServiceImpl extends ServiceImpl<ObeCultureProgramMapper, ObeCultureProgram> implements ObeCultureProgramService {

    @Resource
    private BasicRoleDataPermissionService basicRoleDataPermissionService;

    @Override
    public IPage<CultureProgramResult> pageData(Page<CultureProgramResult> page, Long professionalId, String name) {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        SysUser requestUser = (SysUser) ServletUtil.getRequestUser();
        DataPermissionRule dpr = basicRoleDataPermissionService.findDataPermission(schoolId, requestUser.getId(), ServletUtil.getRequest().getServletPath());
        return this.baseMapper.pageData(page, schoolId, professionalId, name, dpr);
    }

    @Override
    public boolean saveData(ObeCultureProgram obeCultureProgram) {
        SysUser sysUser = (SysUser) ServletUtil.getRequestUser();
        if (obeCultureProgram.getId() == null) {
            obeCultureProgram.insertInfo(sysUser.getId());
        } else {
            obeCultureProgram.updateInfo(sysUser.getId());
            this.updateById(obeCultureProgram);
        }
        return this.saveOrUpdate(obeCultureProgram);
    }

    @Override
    public boolean delete(Long id) {
        return this.removeById(id);
    }

    @Transactional
    @Override
    public boolean copy(Long id) {
        return false;
    }
}
