package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qmth.distributed.print.business.entity.ObeCultureProgramTarget;
import com.qmth.distributed.print.business.mapper.ObeCultureProgramTargetMapper;
import com.qmth.distributed.print.business.service.ObeCultureProgramTargetService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.util.ServletUtil;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 培养方案培养目标 服务实现类
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
@Service
public class ObeCultureProgramTargetServiceImpl extends ServiceImpl<ObeCultureProgramTargetMapper, ObeCultureProgramTarget> implements ObeCultureProgramTargetService {

    @Override
    public List<ObeCultureProgramTarget> list(Long cultureProgramId) {
        QueryWrapper<ObeCultureProgramTarget> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(ObeCultureProgramTarget::getCultureProgramId, cultureProgramId)
                .orderByAsc(ObeCultureProgramTarget::getCreateTime);
        return this.list(queryWrapper);
    }

    @Override
    public boolean saveData(ObeCultureProgramTarget obeCultureProgramTarget) {
        SysUser sysUser = (SysUser) ServletUtil.getRequestUser();
        if (obeCultureProgramTarget.getId() == null) {
            obeCultureProgramTarget.insertInfo(sysUser.getId());
        } else {
            obeCultureProgramTarget.updateInfo(sysUser.getId());
            this.updateById(obeCultureProgramTarget);
        }
        return this.saveOrUpdate(obeCultureProgramTarget);
    }

    @Override
    public boolean delete(Long id) {
        return this.removeById(id);
    }
}
